# Rally Rush: src/turret.hpp File Reference

Loading...
Searching...
No Matches
turret.hpp File Reference
`#include <godot_cpp/classes/area3d.hpp>`
`#include <godot_cpp/classes/packed_scene.hpp>`
`#include <godot_cpp/classes/rigid_body3d.hpp>`
`#include <godot_cpp/templates/hash_set.hpp>`
`#include <godot_cpp/templates/vector.hpp>`

Go to the source code of this file.

## Classes

class | godot::Turret
| Generic turret class with the ability to target any type of node as configured. Used for both the player's roof turret pickup and the enemy turrets. More...

## Namespaces

namespace | godot

## Enumerations

enum class | godot::TurretState { godot::WAITING = 0x0 , godot::LOCKING = 0x1 , godot::CHARGING , godot::FIRING }
| Current state of a turret. More...